Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit
Interface AclManager

All Known Implementing Classes:
  AclDAO

public interface AclManager

manager for all aspects of acl handling

Version:
  $Revision: 1.4 $
Author:
  konstantin

Method Summary
`Acl` | `createAcl(java.lang.String name)` create new acl.
`Capability` | `createCapability(java.lang.String name)` create new capability instance
`Acl` | `getAcl(java.lang.String name)` load acl by name
`Capability` | `getCapability(java.lang.String name)` Gets the Capability attribute of the AclManager object
`void` | `grantPermission(Acl acl, Capability capability, java.lang.String role)` DOCUMENT METHOD
`java.util.Collection` | `listAcl()` provide list of acls on system
`java.util.Collection` | `listCapabilities()` DOCUMENT METHOD
`void` | `removeAcl(Acl acl)` remove given acl if possible.
`void` | `removeCapability(Capability capability)` remove capability of possible
`void` | `revokePermission(Acl acl, Capability capability, java.lang.String role)` DOCUMENT METHOD
`Acl` | `updateAcl(Acl acl)` update acl contents
`void` | `updateCapability(Capability cap)` DOCUMENT METHOD

Method Detail

### getAcl

    public Acl getAcl(java.lang.String name)
               throws InfobitException

  load acl by name

  Parameters:
    `name` - acl or null if nothing found
  Returns:
  Throws:
    `InfobitException` - thrown by infobit system to indicate internal problems

### createAcl

    public Acl createAcl(java.lang.String name)
                  throws InfobitException,
                         InfobitSecurityException

  create new acl. user shall nave enough permissions to do this.

  Parameters:
    `name` - unique acl name
  Returns:
    Description of the Returned Value
  Throws:
    `InfobitException` - thrown on internal errors
    `InfobitSecurityException` - thrown on security violations

### updateAcl

    public Acl updateAcl(Acl acl)
                  throws InfobitException,
                         InfobitSecurityException

  update acl contents

  Parameters:
    `acl` - acl to be updated
  Returns:
    the same acl
  Throws:
    `InfobitException` - Description of Exception
    `InfobitSecurityException` - Description of Exception

### getCapability

    public Capability getCapability(java.lang.String name)
                             throws InfobitException,
                                    InfobitSecurityException

  Gets the Capability attribute of the AclManager object

  Parameters:
    `name` - Description of Parameter
  Returns:
    The Capability value
  Throws:
    `InfobitException` - Description of Exception
    `InfobitSecurityException` - Description of Exception

### listCapabilities

    public java.util.Collection listCapabilities()
                                          throws InfobitException,
                                                 InfobitSecurityException

  DOCUMENT METHOD

  Returns:
    Description of the Returned Value
  Throws:
    `InfobitException` - Description of Exception
    `InfobitSecurityException` - Description of Exception

### removeAcl

    public void removeAcl(Acl acl)
                   throws InfobitIntegrityException,
                          InfobitException,
                          InfobitSecurityException

  remove given acl if possible. rmoval will be refused ( and excetpion thrown )

  Parameters:
    `acl` - Description of Parameter
  Throws:
    `InfobitException` - Description of Exception
    `InfobitSecurityException` - Description of Exception
    `InfobitIntegrityException` - Description of Exception

### listAcl

    public java.util.Collection listAcl()
                                 throws InfobitException

  provide list of acls on system

  Returns:
    Description of the Returned Value
  Throws:
    `InfobitException` - Description of Exception

### grantPermission

    public void grantPermission(Acl acl,
                                Capability capability,
                                java.lang.String role)
                         throws InfobitException,
                                InfobitSecurityException

  DOCUMENT METHOD

  Parameters:
    `capability` - Description of Parameter
    `role` - Description of Parameter
    `acl` - Description of Parameter
  Throws:
    `InfobitSecurityException` - Description of Exception
    `InfobitException` - Description of Exception

### revokePermission

    public void revokePermission(Acl acl,
                                 Capability capability,
                                 java.lang.String role)
                          throws InfobitException,
                                 InfobitSecurityException

  DOCUMENT METHOD

  Parameters:
    `capability` - Description of Parameter
    `role` - Description of Parameter
    `acl` - Description of Parameter
  Throws:
    `InfobitSecurityException` - Description of Exception
    `InfobitException` - Description of Exception

### createCapability

    public Capability createCapability(java.lang.String name)
                                throws InfobitException,
                                       InfobitSecurityException

  create new capability instance

  Parameters:
    `name` - Description of Parameter
  Returns:
    Description of the Returned Value
  Throws:
    `InfobitException` - Description of Exception
    `InfobitSecurityException` - Description of Exception

### removeCapability

    public void removeCapability(Capability capability)
                          throws InfobitException,
                                 InfobitIntegrityException,
                                 InfobitSecurityException

  remove capability of possible

  Parameters:
    `capability` - Description of Parameter
  Throws:
    `InfobitException` - Description of Exception
    `InfobitSecurityException` - Description of Exception
    `InfobitIntegrityException` - Description of Exception

### updateCapability

    public void updateCapability(Capability cap)
                          throws InfobitException,
                                 InfobitSecurityException

  DOCUMENT METHOD

  Parameters:
    `cap` - Description of Parameter
  Throws:
    `InfobitException` - Description of Exception
    `InfobitSecurityException` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.